> ## Documentation Index
> Fetch the complete documentation index at: https://developer.noodle.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Deletar Contato

> Use este endpoint para deletar um contato específico pelo ID ou tax_id.



## OpenAPI

````yaml api-reference/openapi.json delete /contacts
openapi: 3.1.0
info:
  title: Noodle API
  contact:
    name: Time de Engenharia da Noodle
    url: https://www.noodle.cx/contato
    email: dev@noodle.cx
  version: 1.0.0
servers:
  - url: https://production.api.noodle.cx/external
    description: Servidor de Produção
  - url: https://homolog.api.noodle.cx/external
    description: Servidor de Homologação (Staging)
security: []
paths:
  /contacts:
    delete:
      tags:
        - Contatos
      summary: Deletar Contato
      description: Use este endpoint para deletar um contato específico pelo ID ou tax_id.
      operationId: delete_contact_contacts_delete
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ContactIdRequest'
              title: Data
              description: Objeto com id ou tax_id do contato a ser deletado
        required: true
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ContactIdRequest:
      properties:
        contact_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact Id
          description: ID do contato.
        tax_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Id
          description: CPF ou CNPJ do contato.
      type: object
      title: ContactIdRequest
      description: >-
        Representa uma requisição para identificar um contato.


        **Atributos**:

        - **contact_id** (*str, opcional*): ID do contato.

        - **tax_id** (*str, opcional*): CPF ou CNPJ do contato.


        **Validações**:

        - Pelo menos um dos campos, `contact_id` ou `tax_id`, deve ser fornecido
        e não pode ser vazio.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.